Bug 427636 - Yum will not properly update with --installroot
Summary: Yum will not properly update with --installroot
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 7
Hardware: i686 Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-05 23:41 UTC by Nic Stevens
Modified: 2014-01-21 23:01 UTC (History)
5 users (show)

Fixed In Version: 3.2.8-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 00:12:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nic Stevens 2008-01-05 23:41:34 UTC
Description of problem:
Yum will not properly update with --installroot

Version-Release number of selected component (if applicable):
3.2.5

How reproducible:
mount newly installed system on other media and update from installed system.

Steps to Reproduce:
1. Install F7 on new media
2. Boot up existing F7 installation
4. mount new installation root
3. run yum --installroot=/mountpoint
  
Actual results:
Yum cannot perform it's post-install scripts and errors out with messages like:
error: %post(libsmbclient-3.0.28-0.fc7.i386) scriptlet failed, exit status 255
could not open ts_done file: [Errno 2] No such file or directory:
'/maxtor/var/lib/yum/transaction-done.2008-01-05.14:46.18'


Expected results:


Additional info:

Comment 1 Nic Stevens 2008-01-05 23:47:08 UTC
Step 2 should be: yum --installrooot=/mountpoint update

Comment 2 Nic Stevens 2008-01-05 23:48:54 UTC
(sorry) 

Additional: the file that yum is complaining of is 
    /maxtor/var/lib/yum/transaction-done.2008-01-05.14:46.18
The actual file is created as
    /maxtor/maxtor/var/lib/yum/transaction-done.2008-01-05.14:46.18

Comment 3 Seth Vidal 2008-01-06 00:12:58 UTC
3.2.5 is out of date. Please update to 3.2.8-2.fc7 and try it again. Thank you!




Note You need to log in before you can comment on or make changes to this bug.